/*
 * translatedialog.h
 *
 * Copyright (c) 2005 Michael Rex <me@rexi.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef TRANSLATEDIALOG_H
#define TRANSLATEDIALOG_H

#include "translatedialogbase.h"

#include <kconfig.h>

#include <qstringlist.h>

class TranslateDialog : public TranslateDialogBase
{
    Q_OBJECT
public:
    TranslateDialog(QWidget* parent = 0, const char* name = 0);
    
public slots:
    virtual void translateClicked();
    virtual void clearClicked();
    
private:
    KConfig* cfg;
    QStringList list;
};

#endif
