/*
 * translator.h
 *
 * Copyright (c) 2005 Michael Rex <me@rexi.org>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef TRANSLATOR_H
#define TRANSLATOR_H

#include <kprocess.h>

#include <qobject.h>
#include <qstring.h>

/**
 *
 * @author Michael Rex
 */
class Translator : public QObject
{
    Q_OBJECT
public:
    Translator(QObject* parent = 0, const char* name = 0);
    ~Translator();
    void translate(const QString&) const;
    
public slots:
    void dingExited(KProcess*) const;

};

#endif
